[Unit]
Description=OMC rest agent daemon
After=network-online.target mysql.service

[Service]
Type=simple
LimitNOFILE=65535
LimitNPROC=65535

Restart=always
ExecStart=/usr/local/omc/bin/restagent -c /usr/local/omc/etc/restconf.yaml
RestartSec=2
RestartPreventExitStatus=SIGTERM SIGKILL
ExecReload=/bin/kill -HUP $MAINPID

[Install]
WantedBy=multi-user.target